apiVersion: v1
kind: ConfigMap
metadata:
  name: grafana-dashboard-kumori-alertmanager
  namespace: monitoring
data:
  kumori-alertmanager.json: |-
    {
      "annotations": {
        "__inputs": [
          {
            "name": "DS_PROMETHEUS_ALERTMANAGER",
            "label": "Prometheus AlertManager",
            "description": "This datasource lets you to use the Alertmanager's API of Prometheus to create dashboards in Grafana.",
            "type": "datasource",
            "pluginId": "camptocamp-prometheus-alertmanager-datasource",
            "pluginName": "Prometheus AlertManager"
          }
        ],
        "__requires": [
          {
            "type": "datasource",
            "id": "camptocamp-prometheus-alertmanager-datasource",
            "name": "Prometheus AlertManager",
            "version": "1.0.0"
          },
          {
            "type": "grafana",
            "id": "grafana",
            "name": "Grafana",
            "version": "8.0.0"
          },
          {
            "type": "panel",
            "id": "singlestat",
            "name": "Singlestat",
            "version": "5.0.0"
          },
          {
            "type": "panel",
            "id": "table",
            "name": "Table",
            "version": "7.0.0"
          }
        ],
        "list": [
          {
            "builtIn": 1,
            "datasource": "-- Grafana --",
            "enable": true,
            "hide": true,
            "iconColor": "rgba(0, 211, 255, 1)",
            "name": "Annotations & Alerts",
            "target": {
              "limit": 100,
              "matchAny": false,
              "tags": [],
              "type": "dashboard"
            },
            "type": "dashboard"
          }
        ]
      },
      "editable": true,
      "gnetId": null,
      "graphTooltip": 0,
      "id": 32,
      "iteration": 1639670847164,
      "links": [],
      "panels": [
        {
          "datasource": "${datasource}",
          "fieldConfig": {
            "defaults": {
              "color": {
                "mode": "thresholds"
              },
              "mappings": [
                {
                  "options": {
                    "match": "null",
                    "result": {
                      "color": "dark-green",
                      "index": 0,
                      "text": "0"
                    }
                  },
                  "type": "special"
                }
              ],
              "thresholds": {
                "mode": "absolute",
                "steps": [
                  {
                    "color": "dark-green",
                    "value": null
                  },
                  {
                    "color": "dark-red",
                    "value": 1
                  }
                ]
              }
            },
            "overrides": []
          },
          "gridPos": {
            "h": 8,
            "w": 12,
            "x": 0,
            "y": 0
          },
          "id": 4,
          "options": {
            "colorMode": "background",
            "graphMode": "none",
            "justifyMode": "auto",
            "orientation": "horizontal",
            "reduceOptions": {
              "calcs": [
                "count"
              ],
              "fields": "/^alertname$/",
              "values": false
            },
            "text": {},
            "textMode": "auto"
          },
          "pluginVersion": "8.1.1",
          "targets": [
            {
              "active": true,
              "filters": "alertname!=Watchdog",
              "queryType": "randomWalk",
              "refId": "A"
            }
          ],
          "title": "All alerts",
          "type": "stat"
        },
        {
          "datasource": "${datasource}",
          "description": "",
          "fieldConfig": {
            "defaults": {
              "color": {
                "mode": "thresholds"
              },
              "mappings": [
                {
                  "options": {
                    "match": "null",
                    "result": {
                      "color": "dark-green",
                      "index": 0,
                      "text": "0"
                    }
                  },
                  "type": "special"
                }
              ],
              "thresholds": {
                "mode": "absolute",
                "steps": [
                  {
                    "color": "dark-green",
                    "value": null
                  },
                  {
                    "color": "dark-red",
                    "value": 1
                  }
                ]
              }
            },
            "overrides": []
          },
          "gridPos": {
            "h": 8,
            "w": 12,
            "x": 12,
            "y": 0
          },
          "id": 6,
          "options": {
            "colorMode": "background",
            "graphMode": "area",
            "justifyMode": "auto",
            "orientation": "horizontal",
            "reduceOptions": {
              "calcs": [
                "count"
              ],
              "fields": "/^alertname$/",
              "values": false
            },
            "text": {},
            "textMode": "auto"
          },
          "pluginVersion": "8.1.1",
          "targets": [
            {
              "active": true,
              "filters": "alertname=NodeNotReady",
              "refId": "A"
            }
          ],
          "title": "Down Nodes",
          "type": "stat"
        },
        {
          "datasource": "${datasource}",
          "description": "",
          "fieldConfig": {
            "defaults": {
              "color": {
                "mode": "thresholds"
              },
              "custom": {
                "align": "auto",
                "displayMode": "auto",
                "filterable": true,
                "minWidth": 50
              },
              "mappings": [],
              "thresholds": {
                "mode": "absolute",
                "steps": [
                  {
                    "color": "green",
                    "value": null
                  },
                  {
                    "color": "red",
                    "value": 80
                  }
                ]
              }
            },
            "overrides": [
              {
                "matcher": {
                  "id": "byName",
                  "options": "severity"
                },
                "properties": [
                  {
                    "id": "mappings",
                    "value": [
                      {
                        "options": {
                          "critical": {
                            "color": "dark-red",
                            "index": 3,
                            "text": "critical"
                          },
                          "high": {
                            "color": "dark-orange",
                            "index": 2,
                            "text": "high"
                          },
                          "info": {
                            "color": "dark-blue",
                            "index": 0,
                            "text": "info"
                          },
                          "none": {
                            "color": "dark-green",
                            "index": 5,
                            "text": "none"
                          },
                          "warning": {
                            "color": "dark-yellow",
                            "index": 1,
                            "text": "warning"
                          }
                        },
                        "type": "value"
                      },
                      {
                        "options": {
                          "match": "null",
                          "result": {
                            "color": "dark-green",
                            "index": 4,
                            "text": "none"
                          }
                        },
                        "type": "special"
                      }
                    ]
                  },
                  {
                    "id": "custom.displayMode",
                    "value": "color-background"
                  },
                  {
                    "id": "custom.width",
                    "value": 100
                  }
                ]
              },
              {
                "matcher": {
                  "id": "byName",
                  "options": "summary"
                },
                "properties": [
                  {
                    "id": "custom.width",
                    "value": 428
                  }
                ]
              },
              {
                "matcher": {
                  "id": "byName",
                  "options": "time"
                },
                "properties": [
                  {
                    "id": "custom.width",
                    "value": 200
                  }
                ]
              },
              {
                "matcher": {
                  "id": "byName",
                  "options": "name"
                },
                "properties": [
                  {
                    "id": "custom.width",
                    "value": 250
                  }
                ]
              },
              {
                "matcher": {
                  "id": "byName",
                  "options": "summary"
                },
                "properties": [
                  {
                    "id": "custom.width",
                    "value": 500
                  }
                ]
              },
              {
                "matcher": {
                  "id": "byName",
                  "options": "description"
                },
                "properties": [
                  {
                    "id": "custom.width"
                  }
                ]
              }
            ]
          },
          "gridPos": {
            "h": 17,
            "w": 24,
            "x": 0,
            "y": 8
          },
          "id": 2,
          "options": {
            "showHeader": true,
            "sortBy": []
          },
          "pluginVersion": "8.1.1",
          "targets": [
            {
              "active": true,
              "queryType": "randomWalk",
              "refId": "A"
            }
          ],
          "title": "All Alerts Info",
          "transformations": [
            {
              "id": "filterFieldsByName",
              "options": {
                "include": {
                  "pattern": "Time|severity|alertname|summary|description"
                }
              }
            },
            {
              "id": "organize",
              "options": {
                "excludeByName": {},
                "indexByName": {
                  "Time": 0,
                  "alertname": 2,
                  "description": 4,
                  "severity": 1,
                  "summary": 3
                },
                "renameByName": {
                  "Time": "time",
                  "alertname": "name",
                  "severity": "",
                  "summary": ""
                }
              }
            }
          ],
          "type": "table"
        }
      ],
      "refresh": "1m",
      "schemaVersion": 30,
      "style": "dark",
      "tags": [],
      "templating": {
        "list": [
          {
            "current": {
              "selected": false,
              "text": "AlertManager",
              "value": "AlertManager"
            },
            "description": null,
            "error": null,
            "hide": 0,
            "includeAll": false,
            "label": null,
            "multi": false,
            "name": "datasource",
            "options": [],
            "query": "camptocamp-prometheus-alertmanager-datasource",
            "queryValue": "",
            "refresh": 1,
            "regex": "",
            "skipUrlSync": false,
            "type": "datasource"
          }
        ]
      },
      "time": {
        "from": "now-6h",
        "to": "now"
      },
      "timepicker": {},
      "timezone": "",
      "title": "Alarms",
      "uid": "kumori202112161709",
      "version": 6
    }